Rule based renderer: rules are not loaded when style is loaded from a SLD file

2013-12-12 07:44 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 17834

Description

See Attached SLD. If I load it against my data (can't share that I'm afraid), QGIS just renders it all as grey. Looking at it, it's using

rule-based styling but there are no rules loaded from the SLD.

History

#1 - 2013-12-13 02:27 AM - Giovanni Manghi

- Category set to Symbology

- Target version set to Future Release - High Priority

- Subject changed from QGIS doesn't handle SLD filters to Rule based renderer: rules are not loaded when style is loaded from a SLD file

#2 - 2017-05-01 01:08 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#3 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

OSMM_-_TopoArea_-_New.sld 33.1 KB 2013-12-12 Jonathan Moules
